Page MenuHomePhabricator

Single bracket external links / italics not detected as wikitext
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open the VisualEditor
  2. Go to Cite and choose Manual > Basic
  3. Copy this wikitext:

Burci, Gian Luca; Vignes, Claude-Henri (2004-01-01). [https://books.google.com/books?id=Xou_nD9jJF0C ''World Health Organization'']. Kluwer Law International. ISBN 9789041122735. Pages 15–20.

  1. Paste it into the Basic form.
  2. Insert and save page.
  3. See nowiki tags/raw wikitext in the article.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 3 2016, 2:01 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Esanders renamed this task from Pasting wikitext into Cite > Basic Form results in raw wikitext and nowikis on the page to Single bracket links not detected as wikitext.May 4 2016, 3:04 PM

Your pasted text was not recognised as wikitext - I think you are expecting too much of the automatic conversion. The text contains single square brackets and double apostrophes but those could appear just as validly in normal text, so adding patterns to detect them would likely result in false positives.

Esanders renamed this task from Single bracket links not detected as wikitext to Single bracket external links / italics not detected as wikitext.May 4 2016, 3:07 PM

Change 286868 had a related patch set uploaded (by Esanders):
Add regex for detecting labelled external links in pasted wikitext

https://gerrit.wikimedia.org/r/286868

Jdforrester-WMF closed this task as Resolved.May 4 2016, 3:47 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.

Change 286868 merged by jenkins-bot:
Add regex for detecting labelled external links in pasted wikitext

https://gerrit.wikimedia.org/r/286868